Last Comment Bug 216214 - IM only supports AIM - request: support other IM tools
: IM only supports AIM - request: support other IM tools
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Address Book (show other bugs)
: unspecified
: All All
: -- enhancement with 11 votes (vote)
: Thunderbird 11.0
Assigned To: Robert Accettura [:raccettura]
:
:
Mentors:
: 499545 (view as bug list)
Depends on: 223499
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-14 16:27 PDT by Bernhard Seibold
Modified: 2012-09-11 00:23 PDT (History)
26 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed


Attachments
Patch v1 (2.56 KB, patch)
2004-02-11 19:59 PST, Robert Accettura [:raccettura]
mscott: superreview-
Details | Diff | Splinter Review

Description Bernhard Seibold 2003-08-14 16:27:35 PDT
User-Agent:       Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)
Build Identifier: Mozilla Thunderbird 0.2a (20030807)

The "Screen Name" field in the address book refers to AIM only - how i found 
out after 5 minutes of wondering, because the only hint you get is the AIM icon 
when viewing a card in the main window.

However even if Mozilla/Thunderbird is the source of Netscape and Netscape is 
owned by AOL-TimeWarner, there should be support for other IM clients too, like 
ICQ, MSN, Y!M. 
If you can't add support for all, please add support for ICQ at least - it also 
belongs to AOL ;)


Reproducible: Always

Steps to Reproduce:
Comment 1 daf 2003-12-17 13:43:27 PST
Maibe it would be best to make it an extention
Comment 2 Robert Markula 2004-01-16 02:27:23 PST
I agree to Bernhard Seibold, natively supporting ICQ (at least!), MSN, AIM and
Yahoo! should be seriuosly considered
Comment 3 Robert Accettura [:raccettura] 2004-02-11 19:58:42 PST
Taking.  I have a patch.
Comment 4 Robert Accettura [:raccettura] 2004-02-11 19:59:48 PST
Created attachment 141213 [details] [diff] [review]
Patch v1

My first attempt.  Be kind.
Comment 5 Robert Accettura [:raccettura] 2004-02-11 21:37:34 PST
I guess I should explain:

I added two preferences:
mailnews.addressbook.goimIMG - URL For image to use

mailnews.addressbook.goimURL - URL to launch IM protocol.

This allows the user to customize their Screenname field to support any protocol
of choice.

Note this is profile wide, not AB specific, or card specific.

No UI, just preference.  Perhaps later to make a UI.  Who knows.  If anyone has
an opinion, of course make your case heard.  Personally I've got mixed feelings.  


I think ideally mailnews.addressbook.goimURL should be able to launch an
application, as I don't think MSN/Windows Messenger for example can be launched
via a URL.  Not quite sure how to do that.
Comment 6 Joel Nelson (don't send email) 2004-02-12 06:16:37 PST
I think programs can be launched from a URL if the URL begins with file:// (for example, file://
HardDisk:Applications:MSN%20Messenger.app:Contents:MacOS:MSN%20Messenger)...   Not sure about 
Windows but something like "file://HardDisk|/Program%20Files/MSN%20Messenger/msmsgr.exe" 
would probably work.
Comment 7 Robert Accettura [:raccettura] 2004-02-12 07:57:03 PST
Most likely.  Wasn't sure though.
Comment 8 Robert Accettura [:raccettura] 2004-02-26 21:19:42 PST
Scott,

I know a lot of people at mozillazine.org forums think the AB isn't to flexible.
 Perhaps this patch adds at least a tiny bit of flexibility?

It could at least then be mapped to Yahoo, MSN, or really any other app they
want.. in theory doesn't even need to be chat.
Comment 9 Robert Accettura [:raccettura] 2004-06-02 07:05:32 PDT
David,

Can we put this on your radar for review?  Adding this would be nice.  Not
everyone likes AIM.  Were able to be flexible.

A part 2 for this patch could be a frontend to allow for customization.  Perhaps
as an extension.  Shouldn't be to hard for anyone with the time.
Comment 10 David :Bienvenu 2004-06-02 08:07:33 PDT
Comment on attachment 141213 [details] [diff] [review]
Patch v1

I don't think you need to check the pref type to see if it's string or not.

Are there actual urls in the real world we can put in for the img?
Comment 11 Robert Accettura [:raccettura] 2004-06-02 09:24:36 PDT
There of course are... but I didn't include anything for copyright reasons.  Not
sure what the rules are on that.

Perhaps the folks from GAIM (http://gaim.sf.net) would know?
Comment 12 (not reading, please use seth@sspitzer.org instead) 2004-06-02 11:31:14 PDT
robert, thanks for starting this.

I think there might be other "support things other than AIM" bugs logged against
mozilla mailnews that would be worth reviewing.

I'll look for them and then help with reviews.
Comment 13 Robert Accettura [:raccettura] 2004-06-02 17:16:20 PDT
Seth,

There were a giant bunch.  I did dup/resolve a few back in February IIRC.

There's also: bug 223499

As well as bug 218714

My main opinion on the AB itself is here:
http://bugzilla.mozilla.org/show_bug.cgi?id=171080#c6

I think it's worth exploring post-1.0.  It's the weakest component, looking at
reviews.  And obviously, looking at how things have improved (and AB is pretty
dormant).  With a good remodeling, it could be a great app.

Not sure what bug 213361 is about, but I assume it's IM related.
Comment 14 Martin F. 2005-01-17 06:27:14 PST
Adding support for Jabber-IDs would be nice
Comment 15 David :Bienvenu 2005-10-25 13:56:49 PDT
Comment on attachment 141213 [details] [diff] [review]
Patch v1

Sorry for the huge delay. Is this patch still valid? I've seen other things going on in this area, iirc.
Comment 16 Hiro 2006-03-09 20:29:47 PST
(In reply to comment #4)
> Created an attachment (id=141213) [edit]
> Patch v1
> 
> My first attempt.  Be kind.

Is this patch effective?
Comment 17 Donnie Murdock 2006-04-17 12:42:51 PDT
like xfire, msn, yahoo, AIM, ICQ, Google talk 
Comment 18 David :Bienvenu 2006-12-22 16:44:12 PST
Comment on attachment 141213 [details] [diff] [review]
Patch v1

we probably want something like this - but this patch seems to declare goimURL twice - is that kosher in js, or can the second line just be:

  goimURL = goimURL + card.aimScreenName;

?
Comment 19 Scott MacGregor 2007-05-31 17:56:37 PDT
Comment on attachment 141213 [details] [diff] [review]
Patch v1

I like where this patch is going. Two things jump out at me:

1) goimURL is declared twice as David points out.

2) I think we should move the AOL settings over to prefs instead of hard coding the values in the catch statements in JS. 

I would vote for calling the pref something that's not AB specific in case we use it somewhere else, maybe:

mail.instant_message_url

?
Comment 20 David :Bienvenu 2008-05-17 16:33:22 PDT
Comment on attachment 141213 [details] [diff] [review]
Patch v1

clearing review request since scott minused it.
Comment 21 Vincent (caméléon) 2008-10-18 10:20:17 PDT
Not that the gContactSync Add-on already add several Instant Messaging field in the Thunderbird Adress Book, in order to synch them with GMail.

Source: http://www.pirules.net/gcontactsync/index.html

Look at the screenshoots to have a better idea of how it works.
Comment 22 Mark Banner (:standard8) 2009-06-21 09:13:34 PDT
*** Bug 499545 has been marked as a duplicate of this bug. ***
Comment 23 Vincent (caméléon) 2012-09-11 00:22:31 PDT
I am closing this bug as TB15 now add support for 8 instant messaging protocol in the address book:
Google talk
Aim
Yahoo
Skype
QQ
MSN
ICQ
Jabber

Note You need to log in before you can comment on or make changes to this bug.